function OnSceneLoad(screen)
	parent_screen = 'data/Scenes/35_Prison_Corridor_Main.lua';
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/35_Manipulator.lua', 'mini_game', parent_screen)
    
    LoadSound("35_Click_claw_move", "data/Sound/35_Prison_Koridor/Manipulator/Click_claw_move.ogg")
    LoadSound("35_Claw_move_take_key", "data/Sound/35_Prison_Koridor/Manipulator/Claw_move_take_key.ogg")
    LoadSound("35_Claw_move_back", "data/Sound/35_Prison_Koridor/Manipulator/Claw_move_back.ogg")
    LoadSound("35_Key_fall", "data/Sound/35_Prison_Koridor/Manipulator/Key_fall.ogg")
    
    play_field.clickClawMoveSound = MakeSoundEntity('35_Click_claw_move');
    play_field.clawMoveTakeKeySound = MakeSoundEntity('35_Claw_move_take_key');
    play_field.clawMoveBackSound = MakeSoundEntity('35_Claw_move_back');
    play_field.keyFallSound = MakeSoundEntity('35_Key_fall');
    
    mini_game_screen = screen;
    game_active = true;
    
    M_PI_OVER_180 = M_PI / 180;
    M_PI_OVER_18 = M_PI / 18;
    
    OBJECTS_AMOUNT = 14;
    Objects = {}
    
    flag = true;
    for i = 1,OBJECTS_AMOUNT do
		Objects[i] = {}
		Objects[i].Entity = screen:GetObject('Planka_'..i);
		
		local angle = Objects[i].Entity:GetAngle();
		if(angle > 0 and angle < M_PI) then
			Objects[i].Type = 1;
		else
			Objects[i].Type = 2;
		end
    end
    
    mini_game_screen:GetObject('arrow_double_left_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_double_right_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_single_left_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_single_right_press'):SetVisible(false);
    
    mini_game_screen:GetObject('button_press_1'):SetVisible(false);
    mini_game_screen:GetObject('button_press_2'):SetVisible(false);
    mini_game_screen:GetObject('button_press_3'):SetVisible(false);
    mini_game_screen:GetObject('button_press_4'):SetVisible(false);
    
	Statina = screen:GetObject("Engine");
    Porshen = screen:GetObject('Porsen');
    Hand = screen:GetObject('Hand_Lenta');
    Hand:GetAnimation():SetFrame(0);
    Hand:GetAnimation():Stop();
    
    Key_1 = screen:GetObject("Key_Left");
    Key_2 = screen:GetObject("Key_Right");
    
    finish_key = screen:GetObject("Key");
    
    finish_angle = 0;
    
    direction = 0;
    
    step_amount = 0;
    go_home = false;
    
    game_screen = screen;
	game_acrive = true;
	game_complited = false;
	
	return_zone_height = RETURN_ZONE_HEIGHT;
	RETURN_ZONE_HEIGHT = 100.0;
	
	if HasGameState('MiniGameContinue', '35_Manipulator') == true then
		finish_key:SetXY(finish_key:GetPosition().x - 47, finish_key:GetPosition().y + 89);
		
		local screen_bak = GetGameManager():GetCurrentScreen()
		local inventory = play_field:GetLevelScreen():GetInventory()
		GetGameManager():SetCurrentScreen(inventory)
		LoadInventoryData(inventory)
		GetGameManager():SetCurrentScreen(screen_bak)
		play_field:GetLevelScreen():GetPanel():SetMode(PM_QUEST)
			
		Key_1:SetVisible(false);
		Key_2:SetVisible(false);
		screen:GetObject("Key_Shadow"):SetVisible(false);
	
		PressKey = function()
			if HasGameState('MiniGameCompleted', '35_Manipulator') == false then
				AddGameState('MiniGameCompleted', '35_Manipulator');
			end
			mini_game_screen:GetObject('Key'):ChangeOpacity(1.0, 0.0, 0.4)
			TimerDoString("FindTool('35_key')", 0.4, mini_game_screen:GetTimer())
			
			TimerDoString('StartLevel("'..parent_screen..'");', 0.5, game_screen:GetTimer());
		end
		
		game_active = false;
		RegisterActiveObject('Key', PressKey, nil, true, 'CursorActive');
    else
        ShowMonolog('C_35_MANIPULATOR_MG', 'C_35_MANIPULATOR_MG');
	end
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function auxAttachInPlace(object, parentObject, z)
	local scrX,scrY = object:GetScrX(), object:GetScrY();
	object:AttachTo(parentObject);
	object:SetScrXY(scrX, scrY);
	if(z ~= nil) then
		object:SetZ(z);
	end
end


function OnUpdate(dt)
    DefaultOnUpdate(dt)
    
    local k = (dt * 1000 / 3);
    local koef = 12 / k;
	local koef_2 = 2.2
     
    if(direction == 1) then
		if(Objects[1].Entity:GetAngle() < M_PI_OVER_18 / 2 or Objects[1].Entity:GetAngle() <  finish_angle) then
			direction = 0;
			game_acrive = true;
			if(step_amount == 3) then
				TakeObject();
			end
		else
			for i = 1,OBJECTS_AMOUNT do
				if(Objects[i].Type == 1) then
					Objects[i].Entity:SetAngle(Objects[i].Entity:GetAngle() - M_PI_OVER_180 / koef);
					Objects[i].Entity:SetXY(Objects[i].Entity:GetX() + math.floor((i - 1) / 2) / koef * koef_2, Objects[i].Entity:GetY());
				else
					Objects[i].Entity:SetAngle(Objects[i].Entity:GetAngle() + M_PI_OVER_180 / koef);
					Objects[i].Entity:SetXY(Objects[i].Entity:GetX() + math.floor((i - 1) / 2) / koef * koef_2, Objects[i].Entity:GetY());
				end
			end
			
			Statina:SetXY(Statina:GetX() + math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Statina:GetY());
			Porshen:SetXY(Porshen:GetX() + math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Porshen:GetY());
			Hand:SetXY(Hand:GetX() + math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Hand:GetY());
			
			for i = 1,6 do
				local obj = mini_game_screen:GetObject('Nut_'..i);
				obj:SetXY(obj:GetX() + math.floor(((i)) ) / koef * koef_2, obj:GetY());
			end
		end
	end
	
    if(direction == 2) then
		if(Objects[1].Entity:GetAngle() > M_PI_OVER_4 or Objects[1].Entity:GetAngle() >  finish_angle) then
			direction = 0;
			game_acrive = true;
			if(step_amount == 3 or go_home == true) then
				TakeObject();
				go_home = false;
			end
		else
			for i = 1,OBJECTS_AMOUNT do
				if(Objects[i].Type == 1) then
					Objects[i].Entity:SetAngle(Objects[i].Entity:GetAngle() + M_PI_OVER_180 / koef);
					Objects[i].Entity:SetXY(Objects[i].Entity:GetX() - math.floor((i - 1) / 2) / koef * koef_2, Objects[i].Entity:GetY());
				else
					Objects[i].Entity:SetAngle(Objects[i].Entity:GetAngle() - M_PI_OVER_180 / koef);
					Objects[i].Entity:SetXY(Objects[i].Entity:GetX() - math.floor((i - 1) / 2) / koef * koef_2, Objects[i].Entity:GetY());
				end
			end
			
			Statina:SetXY(Statina:GetX() - math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Statina:GetY());
			Porshen:SetXY(Porshen:GetX() - math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Porshen:GetY());
			Hand:SetXY(Hand:GetX() - math.floor((OBJECTS_AMOUNT - 1) / 2) / koef * koef_2, Hand:GetY());
			
			for i = 1,6 do
				local obj = mini_game_screen:GetObject('Nut_'..i);
				obj:SetXY(obj:GetX() - math.floor(((i )) ) / koef * koef_2, obj:GetY());
			end
		end
    end
    
    
end

function TakeObject()
	game_acrive = false;
	local height = 135;
	
	if(go_home) then
		height = 50;
	end
	
	if(Porshen:GetX() > 350 or go_home) then
		Porshen:Move(0.0, height, 1.0);
		Hand:Move(0.0, height, 1.0);
		TimerDoString('Porshen:Move(0.0, '..-height..', 1.0);', 1.0, game_screen:GetTimer())
		TimerDoString('Hand:Move(0.0, '..-height..', 1.0);', 1.0, game_screen:GetTimer())
	end
	
	Hand:GetAnimation():SetMode(HGEANIM_PINGPONG);
	Hand:GetAnimation():Play();
	
	if(step_amount == 3) then
		if(Porshen:GetX() > 480 and Porshen:GetX() < 550) then
			TimerDoString('auxAttachInPlace(Key_1, Porshen, 3)', 1.0, game_screen:GetTimer())
			TimerDoString('auxAttachInPlace(Key_2, Porshen, 1)', 1.0, game_screen:GetTimer())
			game_screen:GetObject('Key_Shadow'):ChangeOpacity(1.0, 0.0, 0.2);
			game_complited = true;
		end
		
		TimerDoString('GoHome()', 2.2, game_screen:GetTimer())
	else
		direction = 0;
		if(game_complited == true) then
			TimerDoString('FinishMiniGame()', 1.5, game_screen:GetTimer());
			TimerDoString('auxAttachInPlace(Key_1, game_screen)', 1.0, game_screen:GetTimer())
			TimerDoString('auxAttachInPlace(Key_2, game_screen)', 1.0, game_screen:GetTimer())
		end
		TimerDoString('game_acrive = true;', 2.0, game_screen:GetTimer())
	end
	
	step_amount = 0;
end

function GoHome()
    play_field.clawMoveBackSound:StopSound();
    play_field.clawMoveBackSound:Play(false);
	game_acrive = false;
	direction = 2;
	go_home = true;
	finish_angle = M_PI_OVER_4;
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
    
    mini_game_screen:GetObject('arrow_double_left_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_double_right_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_single_left_press'):SetVisible(false);
    mini_game_screen:GetObject('arrow_single_right_press'):SetVisible(false);
    
    if(game_complited == false) then
		if(object:GetName() == 'area_1')then
			mini_game_screen:GetObject('arrow_double_left_press'):SetVisible(true);
		elseif(object:GetName() == 'area_2') then
			mini_game_screen:GetObject('arrow_single_left_press'):SetVisible(true);
		elseif(object:GetName() == 'area_3') then
			 mini_game_screen:GetObject('arrow_single_right_press'):SetVisible(true);
		elseif(object:GetName() == 'area_4') then
			 mini_game_screen:GetObject('arrow_double_right_press'):SetVisible(true);
		end
	end
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field
    
    local play_claw_sound = function()
    
        if (step_amount == 3)
        then
            play_field.clawMoveTakeKeySound:StopSound();
            play_field.clawMoveTakeKeySound:Play(false);
        else
            play_field.clickClawMoveSound:StopSound();
            play_field.clickClawMoveSound:Play(false);
        end
    end

	
	if(game_acrive and game_complited == false and game_active == true) then
		-- <<
		if(obj_name == "area_1" ) then
			finish_angle = Objects[1].Entity:GetAngle() + M_PI_OVER_18 / 2 * 3;
			mini_game_screen:GetObject('button_press_1'):SetVisible(true);
			Go(2);
			
			play_claw_sound();
		end
		-- <
		if(obj_name == "area_2") then
			finish_angle = Objects[1].Entity:GetAngle() + M_PI_OVER_18 / 2;
			mini_game_screen:GetObject('button_press_2'):SetVisible(true);
			Go(2);
			
			play_claw_sound();
		end
		
		-- >
		if(obj_name == "area_3") then
			finish_angle = Objects[1].Entity:GetAngle() - M_PI_OVER_18 / 2;
			mini_game_screen:GetObject('button_press_3'):SetVisible(true);
			Go(1);
			
			play_claw_sound();
		end
		-->>
		if(obj_name == "area_4") then
			finish_angle = Objects[1].Entity:GetAngle() - M_PI_OVER_18 / 2 * 3;
			mini_game_screen:GetObject('button_press_4'):SetVisible(true);
			Go(1);
			
			play_claw_sound();
		end
	end
	
    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function Go(_direction)
	if (_direction == 1) and (math.abs(Objects[1].Entity:GetAngle() - M_PI_OVER_18 / 2) > 0.1) then
		step_amount = step_amount + 1;
		game_acrive = false;
		direction = _direction;
	elseif(_direction == 2) and (math.abs(Objects[1].Entity:GetAngle() - M_PI_OVER_4) > 0.1) then
		step_amount = step_amount + 1;
		game_acrive = false;
		direction = _direction;
	end
end

function FinishAnimation()
	finish_key:Move(-47, 89, 0.2);

	local screen_bak = GetGameManager():GetCurrentScreen()
	local inventory = play_field:GetLevelScreen():GetInventory()
	GetGameManager():SetCurrentScreen(inventory)
	LoadInventoryData(inventory)
	GetGameManager():SetCurrentScreen(screen_bak)
	play_field:GetLevelScreen():GetPanel():SetMode(PM_QUEST)
	
	play_field.keyFallSound:Play(false);
        
	PressKey = function()
		if HasGameState('MiniGameCompleted', '35_Manipulator') == false then
			AddGameState('MiniGameCompleted', '35_Manipulator');
		end
		mini_game_screen:GetObject('Key'):ChangeOpacity(1.0, 0.0, 0.4)
		TimerDoString("FindTool('35_key')", 0.4, mini_game_screen:GetTimer())
		
		TimerDoString('StartLevel("'..parent_screen..'");', 0.5, game_screen:GetTimer());
	end
	
	game_active = false;
	RegisterActiveObject('Key', PressKey, nil, true, 'CursorActive');
	
	--RegisterToolFindInfo('24_pimpa', 'Key', on_find, on_load_when_tool_found)
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
    
    mini_game_screen:GetObject('button_press_1'):SetVisible(false);
    mini_game_screen:GetObject('button_press_2'):SetVisible(false);
    mini_game_screen:GetObject('button_press_3'):SetVisible(false);
    mini_game_screen:GetObject('button_press_4'):SetVisible(false);
end

function FinishMiniGame()
	if not HasGameState('MiniGameContinue', '35_Manipulator')then
		AddGameState('MiniGameContinue', '35_Manipulator');
	end
    FinishAnimation()

	Key_1:SetVisible(false);
	Key_2:SetVisible(false);
	play_field:GetObject("Key_Shadow"):SetVisible(false);
	--TimerDoString('auxAttachInPlace(Key_1, game_screen)', 1.0, game_screen:GetTimer())
	--TimerDoString('auxAttachInPlace(Key_2, game_screen)', 1.0, game_screen:GetTimer())
end

function SkipMiniGame()
    FinishMiniGame()
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
	RETURN_ZONE_HEIGHT = return_zone_height;
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/BG_Kran.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Kran',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Layer_Basket.png',0,0,265,327,1,0)
	anim:SetHotSpot(132,163)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_Basket',anim,170,555,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Engine.PNG',0,0,276,332,1,0)
	anim:SetHotSpot(138,166)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Engine',anim,157,192,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_1',anim,900,158,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_2',anim,898,160,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_3',anim,790,160,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_4',anim,791,159,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_5',anim,683,159,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_6',anim,681,160,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_7',anim,573,161,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_8',anim,574,159,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_9',anim,465,159,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_10',anim,465,161,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_11',anim,357,161,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_12',anim,357,160,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_13',anim,249,161,100,45,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Planka.png',0,0,22,176,1,0)
	anim:SetHotSpot(11,88)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Planka_14',anim,249,161,100,315,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Bunon_Off.png',0,0,101,115,1,0)
	anim:SetHotSpot(50,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bunon_Off_1',anim,284,634,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Bunon_Off.png',0,0,101,115,1,0)
	anim:SetHotSpot(50,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bunon_Off_2',anim,404,634,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Bunon_Off.png',0,0,101,115,1,0)
	anim:SetHotSpot(50,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bunon_Off_3',anim,527,634,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Bunon_Off.png',0,0,101,115,1,0)
	anim:SetHotSpot(50,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bunon_Off_4',anim,651,633,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Hand_Lenta.png',0,0,247,259,3,4)
	anim:SetHotSpot(123,129)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hand_Lenta',anim,165,376,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Layer_planki_Over.png',0,0,253,276,1,0)
	anim:SetHotSpot(126,138)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_planki_Over',anim,889,146,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Porsen.png',0,0,84,196,1,0)
	anim:SetHotSpot(42,98)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Porsen',anim,181,175,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Key_Shadow.PNG',0,0,183,79,1,0)
	anim:SetHotSpot(91,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key_Shadow',anim,492,512,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Key_Left.png',0,0,114,47,1,0)
	anim:SetHotSpot(57,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key_Left',anim,464,514,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Key_Right.png',0,0,75,36,1,0)
	anim:SetHotSpot(37,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key_Right',anim,540,517,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Glass.PNG',0,0,1024,608,1,0)
	anim:SetHotSpot(512,304)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glass',anim,511,267,121,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_1',anim,791,159,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_2',anim,681,160,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_3',anim,574,160,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_4',anim,464,159,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_5',anim,357,160,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Nut.png',0,0,26,30,1,0)
	anim:SetHotSpot(13,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut_6',anim,249,160,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/Key.PNG',0,0,183,79,1,0)
	anim:SetHotSpot(91,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,189,518,100,300,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_double_left_normal.png',0,0,37,27,1,0)
	anim:SetHotSpot(18,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_double_left_normal',anim,283,628,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_double_left_press.png',0,0,53,47,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_double_left_press',anim,284,626,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_double_right_normal.png',0,0,37,27,1,0)
	anim:SetHotSpot(18,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_double_right_normal',anim,652,627,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_double_right_press.png',0,0,53,47,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_double_right_press',anim,652,624,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_single_left_normal.png',0,0,32,36,1,0)
	anim:SetHotSpot(16,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_single_left_normal',anim,402,629,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_single_left_press.png',0,0,59,59,1,0)
	anim:SetHotSpot(29,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_single_left_press',anim,403,628,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_single_right_normal.png',0,0,32,36,1,0)
	anim:SetHotSpot(16,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_single_right_normal',anim,530,627,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/arrow_single_right_press.png',0,0,59,59,1,0)
	anim:SetHotSpot(29,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('arrow_single_right_press',anim,529,627,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/button_press.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('button_press_1',anim,286,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/button_press.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('button_press_2',anim,405,628,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/button_press.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('button_press_3',anim,528,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/Kran/button_press.png',0,0,54,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('button_press_4',anim,654,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_1',anim,285,626,110,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_2',anim,404,627,110,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_3',anim,527,627,110,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_4',anim,652,626,110,0,7,7)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
